Bug 740686 - virsh nodedev-* commands are undocumented
Summary: virsh nodedev-* commands are undocumented
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Eric Blake
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 736437
TreeView+ depends on / blocked
 
Reported: 2011-09-22 22:56 UTC by Eric Blake
Modified: 2011-12-06 11:34 UTC (History)
12 users (show)

Fixed In Version: libvirt-0.9.4-14.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 736437
Environment:
Last Closed: 2011-12-06 11:34:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1513 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-12-06 01:23:30 UTC

Comment 1 Eric Blake 2011-09-22 22:58:18 UTC
This bug exists to track the fact that nodedev-* commands of virsh are completely undocumented, including the fact that nodedev-reattach must be used to give a pci passthrough device back to the host after it is no longer needed by any guests.

Comment 6 Vivian Bian 2011-09-29 06:11:46 UTC
tested with 
libvirt-0.9.4-13.el6.x86_64
libvirt-0.9.4-14.el6.x86_64

man virsh 
in -13 build ,there is no nodedev doc, and in -14, nodedev doc is added. Checked libvirt.org, Node devices XML format page has been created under Documentation -> XML format -> Node Devices . 

All of the patch has streamed into -14 build . So set bug status to VERIFIED

Comment 11 yuping zhang 2011-11-03 03:16:23 UTC
Verified the new patch with libvirt-0.9.4-21.el6.x86_64.

Domain XML format page has been updated under Documentation -> XML format -> Domains: 
...
"and reattached to the host after the guest exits. If managed is omitted or "no", and for USB devices, the user is responsible to call virNodeDeviceDettach (or virsh nodedev-dettach) before starting the guest or hot-plugging the device, and virNodeDeviceReAttach (or virsh nodedev-reattach) after hot-unplug or stopping the guest."

And in virsh manual,all content in patch has been updated.

Comment 12 errata-xmlrpc 2011-12-06 11:34:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1513.html


Note You need to log in before you can comment on or make changes to this bug.